Documentation · API reference
POST/api/v1/me/second-step/start

Post second start

The answer

Status 200

SecondStepStart A second step being set up: the secret for an authenticator app.

secret
stringneededThe secret, in the letters an app takes when typed.
url
stringneededThe same as an address an app opens.

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/me/second-step/start \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/me/second-step/start", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());